import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const activity of client.activities.list()) { console.log(activity.id);}
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
page = moonbase.activities.list
puts(page)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
page = client.activities.list()
page = page.data[0]
print(page.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}
Activities
List Activities
Returns a list of activities.
GET
/
activities
JavaScript
import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const activity of client.activities.list()) { console.log(activity.id);}
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
page = moonbase.activities.list
puts(page)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
page = client.activities.list()
page = page.data[0]
print(page.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
When specified, returns results starting immediately before the item identified by this cursor. Use the cursor value from the response's metadata to fetch the previous page of results.
When specified, returns results starting immediately after the item identified by this cursor. Use the cursor value from the previous response's metadata to fetch the next page of results.
Metadata about the pagination, including the cursors pointing to the previous and next pages.
Show child attributes
⌘I
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"Moonbase","colors":{"primary":"#155dfc","light":"#155dfc","dark":"#155dfc"},"logo":{"light":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861","dark":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/dark.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=86e5b56f5f16ddfa46525172b52a9e57"},"favicon":"https://mintcdn.com/moonbase/tG7_VarB-j-JYoLL/favicon.svg?fit=max\u0026auto=format\u0026n=tG7_VarB-j-JYoLL\u0026q=85\u0026s=b14b2756b09ff19a9e9d38991fa822aa","api":{"openapi":{"source":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml","directory":"api-reference"},"examples":{"languages":["javascript","ruby","python","go","curl"]}},"navbar":{"links":[{"href":"mailto:support@moonbase.ai","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/moonbaseai","linkedin":"https://linkedin.com/company/moonbaseai"}},"seo":{"metatags":{"robots":"noindex"}},"integrations":{"posthog":{"apiKey":"phc_FrjDVmjzOx0un0e7dgMg9R6mMX2GbvzSMvLYWC5jUT4"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moonbase","hasAudioNarration":false,"actualSubdomain":"moonbase","customDomains":["docs.moonbase.ai"],"gitSource":{"type":"github","owner":"moonbaseai","repo":"moonbase0","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a517ea5f5f16bde6e19de83","collectionId":"3908b917-4852-40c8-8db5-3c6cb89bc682","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9260fb6c76232801087df:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":205},{"language":"default","tag":"Collections","count":37},{"language":"default","tag":"Library","count":23},{"language":"default","tag":"Webhooks","count":23},{"language":"default","tag":"Events","count":18},{"language":"default","tag":"Marketing","count":13},{"language":"default","tag":"Inboxes","count":13},{"language":"default","tag":"Items","count":8},{"language":"default","tag":"Messages","count":7},{"language":"default","tag":"Core Concepts","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/activities/list","slug":"/api-reference/activities/list","pageMetadata":{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","description":"Returns a list of activities.","href":"/api-reference/activities/list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a list of activities.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","description":"Returns a list of activities.","href":"/api-reference/activities/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List activities","description":"Returns a list of activities.","parameters":["81f2e320-eb7d-4767-9b8f-6b675d8134d8","c570687c-7aed-453f-bdf5-e013fd2d90f8","8194cdaf-eb73-40be-ab1b-1e402121d9c0","956dca5f-dfe8-4843-bc07-52a1ee41e744","efb445ce-f92f-4b26-b376-a927d8c0be2b","b8bc6a5d-1105-484d-b9a0-f3aa301fdc6c","d1d60467-40be-4eef-a283-41c055c43ba8","c2734eaf-c246-4355-aabe-9078b15f1339"],"responses":{"200":"9d83e58a-31f7-4fad-95b3-7ae2f187e195","400":"0a41820b-8873-4b77-b79e-96ac4c5783a1","401":"380868ec-b5d5-4fec-ae42-07e07b67de8c","403":"63f72806-2287-4d95-8584-fc306624e7bc","422":"8f8ddd26-b934-4e1b-b8e8-be83d7647d5f","429":"c2aef7b0-dfed-4b07-82c0-1f55f402b245","500":"6db091c7-dc07-4253-815b-8eacdcb157d6","503":"ab7c33b7-88d6-4f80-b1f1-af614907496a"},"tags":["Activities"],"x-codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const activity of client.activities.list()) {\n console.log(activity.id);\n}"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\npage = client.activities.list()\npage = page.data[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Activities.List(context.TODO(), moonbase.ActivityListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\npage = moonbase.activities.list\n\nputs(page)"}],"method":"get","type":"path","servers":["7a9e75d9-6b0b-44c3-8610-e4a9e3520de1"],"security":["148a69f3-74d8-46da-a68b-227d2b56d42f"],"path":"/activities","baseUrlOptions":["https://api.moonbase.ai/v0"],"title":"List activities","codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const activity of client.activities.list()) {\n console.log(activity.id);\n}"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\npage = client.activities.list()\npage = page.data[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Activities.List(context.TODO(), moonbase.ActivityListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\npage = moonbase.activities.list\n\nputs(page)"}],"requestExampleLanguages":["javascript","ruby","python","go","bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"81f2e320-eb7d-4767-9b8f-6b675d8134d8":{"name":"before","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"When specified, returns results starting immediately before the item identified by this cursor. Use the cursor value from the response's metadata to fetch the previous page of results.","uniqueKey":"","typeLabel":"string"},"description":"When specified, returns results starting immediately before the item identified by this cursor. Use the cursor value from the response's metadata to fetch the previous page of results.","explode":true},"c570687c-7aed-453f-bdf5-e013fd2d90f8":{"name":"after","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"When specified, returns results starting immediately after the item identified by this cursor. Use the cursor value from the previous response's metadata to fetch the next page of results.","uniqueKey":"","typeLabel":"string"},"description":"When specified, returns results starting immediately after the item identified by this cursor. Use the cursor value from the previous response's metadata to fetch the next page of results.","explode":true},"8194cdaf-eb73-40be-ab1b-1e402121d9c0":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":20,"isRequired":false,"description":"Maximum number of items to return per page. Must be between 1 and 100. Defaults to 20 if not specified.","uniqueKey":"","typeLabel":"integer"},"description":"Maximum number of items to return per page. Must be between 1 and 100. Defaults to 20 if not specified.","explode":true},"956dca5f-dfe8-4843-bc07-52a1ee41e744":{"name":"type","in":"query","required":false,"schema":{"type":"object","properties":{"eq":{"type":"string","enum":["activity/call_occurred","activity/form_submitted","activity/inbox_message_sent","activity/item_created","activity/item_mentioned","activity/item_merged","activity/file_created","activity/meeting_held","activity/meeting_scheduled","activity/note_created","activity/program_message_bounced","activity/program_message_clicked","activity/program_message_complained","activity/program_message_failed","activity/program_message_opened","activity/program_message_sent","activity/program_message_shielded","activity/program_message_unsubscribed"],"uniqueKey":"eq","typeLabel":"enum\u003cstring>"}},"isRequired":false,"description":"Filter activities by type.","uniqueKey":"","typeLabel":"object"},"description":"Filter activities by type.","explode":true,"style":"deepObject"},"efb445ce-f92f-4b26-b376-a927d8c0be2b":{"name":"occurred_at","in":"query","required":false,"schema":{"type":"object","properties":{"gte":{"type":"string","format":"date-time","uniqueKey":"gte","typeLabel":"string\u003cdate-time>"},"lte":{"type":"string","format":"date-time","uniqueKey":"lte","typeLabel":"string\u003cdate-time>"}},"isRequired":false,"description":"Filter activities by when they occurred.","uniqueKey":"","typeLabel":"object"},"description":"Filter activities by when they occurred.","explode":true,"style":"deepObject"},"b8bc6a5d-1105-484d-b9a0-f3aa301fdc6c":{"name":"constituent_entity_type","in":"query","required":false,"schema":{"type":"object","properties":{"eq":{"description":"The type of the entity involved as a constituent of the activity.","type":"string","enum":["call","collection","file","item","meeting","message","note","program","program_message","program_template","unsubscribe"],"uniqueKey":"eq","typeLabel":"enum\u003cstring>"}},"isRequired":false,"description":"Filter activities by which entities were involved. Must be paired with constituent_entity_id.","uniqueKey":"","typeLabel":"object"},"description":"Filter activities by which entities were involved. Must be paired with constituent_entity_id.","explode":true,"style":"deepObject"},"d1d60467-40be-4eef-a283-41c055c43ba8":{"name":"constituent_entity_id","in":"query","required":false,"schema":{"type":"object","properties":{"eq":{"type":"string","uniqueKey":"eq","typeLabel":"string"}},"isRequired":false,"description":"Filter activities by which entities were involved. Must be paired with constituent_entity_type.","uniqueKey":"","typeLabel":"object"},"description":"Filter activities by which entities were involved. Must be paired with constituent_entity_type.","explode":true,"style":"deepObject"},"c2734eaf-c246-4355-aabe-9078b15f1339":{"name":"constituent_relation","in":"query","required":false,"schema":{"type":"object","properties":{"eq":{"type":"string","enum":["actor","object","target"],"uniqueKey":"eq","typeLabel":"enum\u003cstring>"}},"isRequired":false,"description":"Filter activities by which entities were involved via specific relations. Must be paired with constituent_entity_type and constituent_entity_id.","uniqueKey":"","typeLabel":"object"},"description":"Filter activities by which entities were involved via specific relations. Must be paired with constituent_entity_type and constituent_entity_id.","explode":true,"style":"deepObject"}},"responses":{"9d83e58a-31f7-4fad-95b3-7ae2f187e195":{"description":"Successful response.","content":{"application/json":{"schema":{"type":"object","description":"A set of results using cursor-based pagination.","properties":{"type":{"type":"string","const":"list","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"data":{"type":"array","description":"An array of Activity items.","items":{"title":"Activity","description":"The Activity object represents a specific event that has occurred, such as a meeting being scheduled or a form being submitted.","type":"object","properties":{"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"type":{"description":"The type of activity.","type":"string","enum":["activity/call_occurred","activity/file_created","activity/form_submitted","activity/inbox_message_sent","activity/item_created","activity/item_mentioned","activity/item_merged","activity/meeting_held","activity/meeting_scheduled","activity/note_created","activity/program_message_bounced","activity/program_message_clicked","activity/program_message_complained","activity/program_message_failed","activity/program_message_opened","activity/program_message_sent","activity/program_message_shielded","activity/program_message_unsubscribed"],"isRequired":true,"uniqueKey":"data.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"occurred_at":{"description":"The time at which the event occurred, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"data.items.[INDEX].occurred_at","typeLabel":"string\u003cdate-time>"},"constituents":{"description":"An array of entities involved along with each entity's relation to the activity.","type":"array","items":{"title":"Constituent","description":"The Constituent object represents information about something that was involved in a particular activity.","type":"object","properties":{"type":{"type":"string","const":"constituent","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].type","typeLabel":"string"},"relation":{"type":"string","enum":["actor","object","target"],"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].relation","typeLabel":"enum\u003cstring>"},"entity":{"oneOf":[{"type":"object","title":"CallPointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"call","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.0.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.0.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.0","typeLabel":"CallPointer · object"},{"type":"object","title":"CollectionPointer","description":"A lightweight reference to a `Collection`, containing the minimal information needed to identify it.","required":["type","id","ref"],"properties":{"type":{"description":"String representing the object’s type. Always `collection` for this object.","type":"string","const":"collection","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.1.type","typeLabel":"string"},"id":{"description":"Unique identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.1.id","typeLabel":"string"},"ref":{"description":"The stable, machine-readable reference identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.1.ref","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.1","typeLabel":"CollectionPointer · object"},{"type":"object","title":"ItemPointer","description":"A reference to an `Item` within a specific `Collection`, providing the context needed to locate the item.","required":["collection","type","id"],"properties":{"type":{"description":"String representing the object’s type. Always `item` for this object.","type":"string","const":"item","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.type","typeLabel":"string"},"id":{"description":"Unique identifier of the item.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.id","typeLabel":"string"},"collection":{"title":"CollectionPointer","description":"A reference to the `Collection` containing this item.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `collection` for this object.","type":"string","const":"collection","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.collection.type","typeLabel":"string"},"id":{"description":"Unique identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.collection.id","typeLabel":"string"},"ref":{"description":"The stable, machine-readable reference identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.collection.ref","typeLabel":"string"}},"required":["type","id","ref"],"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2.collection","typeLabel":"CollectionPointer · object"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.2","typeLabel":"ItemPointer · object"},{"type":"object","title":"FilePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"file","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.3.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.3.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.3","typeLabel":"FilePointer · object"},{"type":"object","title":"MeetingPointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"meeting","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.4.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.4.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.4","typeLabel":"MeetingPointer · object"},{"type":"object","title":"MessagePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"message","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.5.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.5.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.5","typeLabel":"MessagePointer · object"},{"type":"object","title":"NotePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"note","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.6.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.6.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.6","typeLabel":"NotePointer · object"},{"type":"object","title":"ProgramPointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"program","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.7.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.7.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.7","typeLabel":"ProgramPointer · object"},{"type":"object","title":"ProgramMessagePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"program_message","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.8.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.8.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.8","typeLabel":"ProgramMessagePointer · object"},{"type":"object","title":"ProgramTemplatePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"program_template","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.9.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.9.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.9","typeLabel":"ProgramTemplatePointer · object"},{"type":"object","title":"UnsubscribePointer","description":"A lightweight reference to the entity of `Constituent`, containing information about what type of entity it is as well as the entity's id.","required":["type","id"],"properties":{"type":{"type":"string","const":"unsubscribe","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.10.type","typeLabel":"string"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.10.id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity.oneOf.10","typeLabel":"UnsubscribePointer · object"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX].entity","typeLabel":"CallPointer · object | CollectionPointer · object | ItemPointer · object | FilePointer · object | MeetingPointer · object | MessagePointer · object | NotePointer · object | ProgramPointer · object | ProgramMessagePointer · object | ProgramTemplatePointer · object | UnsubscribePointer · object"}},"required":["entity","type","relation"],"uniqueKey":"data.items.[INDEX].constituents.items.[INDEX]","typeLabel":"Constituent · object"},"isRequired":true,"uniqueKey":"data.items.[INDEX].constituents","typeLabel":"Constituent · object[]"}},"required":["occurred_at","id","type","constituents"],"uniqueKey":"data.items.[INDEX]","typeLabel":"Activity · object"},"isRequired":true,"uniqueKey":"data","typeLabel":"Activity · object[]"},"meta":{"type":"object","description":"Metadata about the pagination, including the cursors pointing to the previous and next pages.","properties":{"cursors":{"type":"object","properties":{"prev":{"type":"string","description":"Cursor for the previous page. This value should be used with the `before` query parameter to fetch the previous page of results.","uniqueKey":"meta.cursors.prev","typeLabel":"string"},"next":{"type":"string","description":"Cursor for the next page. This value should be used with the `after` query parameter to fetch the next page of results.","uniqueKey":"meta.cursors.next","typeLabel":"string"}},"isRequired":true,"uniqueKey":"meta.cursors","typeLabel":"object"}},"required":["cursors"],"isRequired":true,"uniqueKey":"meta","typeLabel":"object"}},"required":["type","data","meta"],"uniqueKey":"","typeLabel":"object"},"examples":{"List activities":{"title":"List activities","value":{"type":"list","data":[{"id":"1CLJt2vzeHVcmA4dfFWXVW","type":"activity/program_message_unsubscribed","occurred_at":"2025-02-13T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vzPuHzrSaGxxRwNj","type":"unsubscribe"}}]},{"id":"1CLJt2vy9zHuJs8VVV2znr","type":"activity/program_message_shielded","occurred_at":"2025-02-12T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vwv5HomHgi21e4Cy","type":"activity/program_message_failed","occurred_at":"2025-02-11T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vvgAHiDiEvYYF7d6","type":"activity/program_message_complained","occurred_at":"2025-02-10T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vuSFHcg8o954rB3D","type":"activity/program_message_bounced","occurred_at":"2025-02-09T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vtCLHX8ZMMbbTETL","type":"activity/program_message_clicked","occurred_at":"2025-02-08T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vrxRHRayua884HsT","type":"activity/program_message_opened","occurred_at":"2025-02-07T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}}]},{"id":"1CLJt2vqiWHL3QTneefMHa","type":"activity/program_message_sent","occurred_at":"2025-02-06T16:00:00.000Z","constituents":[{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpED5cb7XeUtBpav","type":"program_template"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vpUbHEVq21BBGQhh","type":"program"}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vqU85i8gyRxMamAo","type":"program_message"}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}}]},{"id":"1CLJt2vmFcgBgXfN9MEmBc","type":"activity/call_occurred","occurred_at":"2025-02-04T15:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vgnj53Kerwe3pB5e","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vj2AscW6G9thXU8d","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vfoCGZgnuWrsVpcY","type":"call"}}]},{"id":"1CLJt2vkG5si3fhwNAvQiW","type":"activity/item_created","occurred_at":"2025-02-04T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vj2AscW6G9thXU8d","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}]},{"id":"1CLJt2vi2e58sEJj7XD7fX","type":"activity/item_created","occurred_at":"2025-02-04T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vgnj53Kerwe3pB5e","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}]},{"id":"1CLJt2veofU63vx65hBU9S","type":"activity/note_created","occurred_at":"2025-02-03T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2veZHGU9DTjPQ6t2f","type":"note"}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}}]},{"id":"1CLJt2vc5TGH44aASTJzru","type":"activity/inbox_message_sent","occurred_at":"2025-02-02T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v7opRhSWqVEtHwYT","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vabA4Zbme2GgqUAF","type":"message"}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}}]},{"id":"1CLJt2vWNef39cKxTgVUB4","type":"activity/inbox_message_sent","occurred_at":"2025-02-01T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vUtMTKhKPpHv1wUQ","type":"message"}}]},{"id":"1CLJt2vQfr3oFA5kUufwVD","type":"activity/form_submitted","occurred_at":"2025-01-30T16:00:00.000Z","constituents":[{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vMSsSkRrj7T5eHy8","type":"item","collection":{"id":"1CLJt2vMhFeNLaDU9Nit5u","type":"collection","ref":"test_collection_103"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vMhFeNLaDU9Nit5u","type":"collection","ref":"test_collection_103"}}]},{"id":"1CLJt2vPgKFKcJ8KhjMb27","type":"activity/item_created","occurred_at":"2025-01-30T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vMSsSkRrj7T5eHy8","type":"item","collection":{"id":"1CLJt2vMhFeNLaDU9Nit5u","type":"collection","ref":"test_collection_103"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vMhFeNLaDU9Nit5u","type":"collection","ref":"test_collection_103"}}]},{"id":"1CLJt2vLTLeGnzmgfuKwW2","type":"activity/item_merged","occurred_at":"2025-01-30T16:00:00.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vFk4qWXQUuUJpmHH","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}}]},{"id":"1CLJt2vGyyqc4yvgwnDhsA","type":"activity/item_created","occurred_at":"2025-01-30T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vFk4qWXQUuUJpmHH","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}]},{"id":"1CLJt2vEW9qQyq37zqRphQ","type":"activity/item_created","occurred_at":"2025-01-30T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vDGEqKSFbLXN2t7X","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}]},{"id":"1CLJt2vCGi2qoPdukBiXeR","type":"activity/item_created","occurred_at":"2025-01-29T15:59:55.000Z","constituents":[{"type":"constituent","relation":"actor","entity":{"id":"1CLJt2v271pTY4bHG7UQrc","type":"item","collection":{"id":"1CLJt2ubZ7zAZFBxUxeBHo","type":"collection","ref":"people"}}},{"type":"constituent","relation":"object","entity":{"id":"1CLJt2vA3GEGcxEhVY1EbS","type":"item","collection":{"id":"1CLJt2vAHeRtXfj4Bq5piD","type":"collection","ref":"test_collection_102"}}},{"type":"constituent","relation":"target","entity":{"id":"1CLJt2vAHeRtXfj4Bq5piD","type":"collection","ref":"test_collection_102"}}]}],"meta":{"cursors":{"next":"eyJpZCI6IjFDTEp0MnZDR2kycW9QZHVrQmlYZVIiLCJkaXJlY3Rpb24iOiJmb3J3YXJkIn0"}}}}},"exampleType":"examples"}},"exampleType":"examples"},"0a41820b-8873-4b77-b79e-96ac4c5783a1":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"400","title":"Bad Request","detail":"The request could not be understood due to malformed syntax or invalid parameters."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"380868ec-b5d5-4fec-ae42-07e07b67de8c":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"401","title":"Unauthorized","detail":"Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""}]}}},"exampleType":"examples"}},"exampleType":"examples"},"63f72806-2287-4d95-8584-fc306624e7bc":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"403","title":"Forbidden"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"8f8ddd26-b934-4e1b-b8e8-be83d7647d5f":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Invalid constituent entity filter":{"title":"Invalid constituent entity filter","value":{"type":"errors","errors":[{"type":"error","status":"422","title":"Unprocessable Entity","detail":"constituent_entity_type must be specified when specifying constituent_entity_id","source":{"parameter":"constituent_entity_id[eq]"}}]}}},"exampleType":"examples"}},"exampleType":"examples"},"c2aef7b0-dfed-4b07-82c0-1f55f402b245":{"description":"Too Many Requests","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"429","title":"Too Many Requests"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"6db091c7-dc07-4253-815b-8eacdcb157d6":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"500","title":"Internal Server Error"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"ab7c33b7-88d6-4f80-b1f1-af614907496a":{"description":"Service Unavailable","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"503","title":"Service Unavailable","detail":"The service is temporarily unavailable, please try again later."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"148a69f3-74d8-46da-a68b-227d2b56d42f":{"bearer":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]}}},"servers":{"7a9e75d9-6b0b-44c3-8610-e4a9e3520de1":{"url":"https://api.moonbase.ai/v0"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Moonbase API key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml"},"subdomain":"moonbase","siteName":"Moonbase","title":"List Activities - Moonbase","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-23T02:25:15.612Z","originalFileLocation":"api-reference/activities/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of activities.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Activities - Moonbase\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of activities.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Moonbase\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.moonbase.ai/api-reference/activities/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Activities\u0026amp;title=List+Activities\u0026amp;description=Returns+a+list+of+activities.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=c3accd9179af4d1b568b90e3c126f4143c95c4e2cb9ef2eea59a55becb7d0bf6\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Activities - Moonbase\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of activities.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Activities\u0026amp;title=List+Activities\u0026amp;description=Returns+a+list+of+activities.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=c3accd9179af4d1b568b90e3c126f4143c95c4e2cb9ef2eea59a55becb7d0bf6\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#155dfc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.moonbase.ai/api-reference/activities/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/activities/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.moonbase.ai/#organization\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.moonbase.ai#website\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.moonbase.ai/api-reference/activities/list#webpage\",\"url\":\"https://docs.moonbase.ai/api-reference/activities/list\",\"name\":\"List Activities\",\"description\":\"Returns a list of activities.\",\"dateModified\":\"2026-01-23T02:25:15.612Z\",\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.moonbase.ai/api-reference/activities/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.moonbase.ai/api-reference/activities/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.moonbase.ai/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Library\",\"item\":\"https://docs.moonbase.ai/api-reference/files/list\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List Activities\",\"item\":\"https://docs.moonbase.ai/api-reference/activities/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.moonbase.ai/api-reference/activities/list#apireference\",\"headline\":\"List Activities\",\"name\":\"List Activities\",\"description\":\"Returns a list of activities.\",\"url\":\"https://docs.moonbase.ai/api-reference/activities/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.moonbase.ai/api-reference/activities/list#webpage\"},\"dateModified\":\"2026-01-23T02:25:15.612Z\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Moonbase\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Moonbase","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":"/home"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/api-reference/introduction"}]},{"group":"Core Concepts","pages":[{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-reference/libraries"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/api-reference/authentication"},{"title":"Errors","sidebarTitle":"Errors","href":"/api-reference/error-handling"},{"title":"Rate Limits","sidebarTitle":"Rate Limits","href":"/api-reference/rate-limiting"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/api-reference/pagination"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/webhook-reference/getting-started"}]},{"group":"API Reference","pages":[{"group":"Search","pages":[{"title":"Search Items","openapi":"POST /search","sidebarTitle":"Search Items","href":"/api-reference/search"}]},{"group":"Collections","pages":[{"group":"Collections","pages":[{"title":"List Collections","openapi":"GET /collections","sidebarTitle":"List Collections","href":"/api-reference/collections/list"},{"title":"Retrieve a Collection","openapi":"GET /collections/{id}","sidebarTitle":"Retrieve a Collection","href":"/api-reference/collections/get"},{"title":"Create a Collection","openapi":"POST /collections","sidebarTitle":"Create a Collection","href":"/api-reference/collections/create"},{"title":"Update a Collection","openapi":"PATCH /collections/{id}","sidebarTitle":"Update a Collection","href":"/api-reference/collections/update"},{"title":"Delete a Collection","openapi":"DELETE /collections/{id}","sidebarTitle":"Delete a Collection","href":"/api-reference/collections/delete"},{"title":"Retrieve a Field","openapi":"GET /collections/{collection_id}/fields/{id}","sidebarTitle":"Retrieve a Field","href":"/api-reference/collections/get-field"},{"title":"Create a Field","openapi":"POST /collections/{collection_id}/fields","sidebarTitle":"Create a Field","href":"/api-reference/collections/create-field"},{"title":"Update a Field","openapi":"PATCH /collections/{collection_id}/fields/{id}","sidebarTitle":"Update a Field","href":"/api-reference/collections/update-field"},{"title":"Delete a Field","openapi":"DELETE /collections/{collection_id}/fields/{id}","sidebarTitle":"Delete a Field","href":"/api-reference/collections/delete-field"}]},{"group":"Items","pages":[{"title":"List Items","openapi":"GET /collections/{collection_id}/items","sidebarTitle":"List Items","href":"/api-reference/items/list"},{"title":"Search Collection Items","openapi":"POST /collections/{collection_id}/items/search","sidebarTitle":"Search Collection Items","href":"/api-reference/items/search"},{"title":"Retrieve an Item","openapi":"GET /collections/{collection_id}/items/{id}","sidebarTitle":"Retrieve an Item","href":"/api-reference/items/get"},{"title":"Create an Item","openapi":"POST /collections/{collection_id}/items","sidebarTitle":"Create an Item","href":"/api-reference/items/create"},{"title":"Update an Item","openapi":"PATCH /collections/{collection_id}/items/{id}","sidebarTitle":"Update an Item","href":"/api-reference/items/update"},{"title":"Create or Update an Item","openapi":"POST /collections/{collection_id}/items/upsert","sidebarTitle":"Upsert an Item","href":"/api-reference/items/upsert"},{"title":"Merge Collection Items","openapi":"POST /collections/{collection_id}/items/merge","sidebarTitle":"Merge Collection Items","href":"/api-reference/items/merge"},{"title":"Delete an Item","openapi":"DELETE /collections/{collection_id}/items/{id}","sidebarTitle":"Delete an Item","href":"/api-reference/items/delete"}]},{"group":"Views","pages":[{"title":"List Views","openapi":"GET /views","sidebarTitle":"List Views","href":"/api-reference/views/list"},{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","href":"/api-reference/views/get"},{"title":"Create a View","openapi":"POST /views","sidebarTitle":"Create a View","href":"/api-reference/views/create"},{"title":"Update a View","openapi":"PATCH /views/{id}","sidebarTitle":"Update a View","href":"/api-reference/views/update"},{"title":"Delete a View","openapi":"DELETE /views/{id}","sidebarTitle":"Delete a View","href":"/api-reference/views/delete"},{"title":"List Items","openapi":"GET /views/{id}/items","sidebarTitle":"List Items","href":"/api-reference/views/list-items"}]},{"group":"Funnels","pages":[{"title":"List Funnels","openapi":"GET /funnels","sidebarTitle":"List Funnels","href":"/api-reference/funnels/list"},{"title":"Retrieve a Funnel","openapi":"GET /funnels/{id}","sidebarTitle":"Retrieve a Funnel","href":"/api-reference/funnels/get"},{"title":"Create a Funnel","openapi":"POST /funnels","sidebarTitle":"Create a Funnel","href":"/api-reference/funnels/create"},{"title":"Update a Funnel","openapi":"PATCH /funnels/{id}","sidebarTitle":"Update a Funnel","href":"/api-reference/funnels/update"},{"title":"Delete a Funnel","openapi":"DELETE /funnels/{id}","sidebarTitle":"Delete a Funnel","href":"/api-reference/funnels/delete"}]}]},{"group":"Inboxes","pages":[{"group":"Inboxes","pages":[{"title":"List Inboxes","openapi":"GET /inboxes","sidebarTitle":"List Inboxes","href":"/api-reference/inboxes/list"},{"title":"Retrieve an Inbox","openapi":"GET /inboxes/{id}","sidebarTitle":"Retrieve an Inbox","href":"/api-reference/inboxes/get"}]},{"group":"Conversations","pages":[{"title":"List Conversations","openapi":"GET /inbox_conversations","sidebarTitle":"List Conversations","href":"/api-reference/inbox-conversations/list"},{"title":"Retrieve a Conversation","openapi":"GET /inbox_conversations/{id}","sidebarTitle":"Retrieve a Conversation","href":"/api-reference/inbox-conversations/get"}]},{"group":"Messages","pages":[{"title":"List Messages","openapi":"GET /inbox_messages","sidebarTitle":"List Messages","href":"/api-reference/inbox-messages/list"},{"title":"Retrieve a Message","openapi":"GET /inbox_messages/{id}","sidebarTitle":"Retrieve a Message","href":"/api-reference/inbox-messages/get"},{"title":"Create a Draft","openapi":"POST /inbox_messages","sidebarTitle":"Create a Draft","href":"/api-reference/inbox-messages/create"},{"title":"Update a Draft","openapi":"PATCH /inbox_messages/{id}","sidebarTitle":"Update a Draft","href":"/api-reference/inbox-messages/update"},{"title":"Delete a Draft","openapi":"DELETE /inbox_messages/{id}","sidebarTitle":"Delete a Draft","href":"/api-reference/inbox-messages/delete"},{"title":"Add an attachment","openapi":"POST /inbox_messages/{inbox_message_id}/attachments","sidebarTitle":"Add an attachment","href":"/api-reference/inbox-messages/add-attachment"},{"title":"Remove an attachment","openapi":"DELETE /inbox_messages/{inbox_message_id}/attachments/{id}","sidebarTitle":"Remove an attachment","href":"/api-reference/inbox-messages/remove-attachment"}]}]},{"group":"Marketing","pages":[{"group":"Programs","pages":[{"title":"List Programs","openapi":"GET /programs","sidebarTitle":"List Programs","href":"/api-reference/programs/list"},{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","href":"/api-reference/programs/get"}]},{"group":"Program Templates","pages":[{"title":"List Program Templates","openapi":"GET /program_templates","sidebarTitle":"List Program Templates","href":"/api-reference/program-templates/list"},{"title":"Retrieve a Program Template","openapi":"GET /program_templates/{id}","sidebarTitle":"Retrieve a Program Template","href":"/api-reference/program-templates/get"}]},{"group":"Program Messages","pages":[{"title":"Send a Message","openapi":"POST /program_messages","sidebarTitle":"Send a Message","href":"/api-reference/program-messages/create"}]},{"group":"Forms","pages":[{"title":"List Forms","openapi":"GET /forms","sidebarTitle":"List Forms","href":"/api-reference/forms/list"},{"title":"Retrieve a Form","openapi":"GET /forms/{id}","sidebarTitle":"Retrieve a Form","href":"/api-reference/forms/get"},{"title":"Create a Form","openapi":"POST /forms","sidebarTitle":"Create a Form","href":"/api-reference/forms/create"},{"title":"Update a Form","openapi":"PATCH /forms/{id}","sidebarTitle":"Update a Form","href":"/api-reference/forms/update"},{"title":"Delete a Form","openapi":"DELETE /forms/{id}","sidebarTitle":"Delete a Form","href":"/api-reference/forms/delete"}]},{"group":"Unsubscribes","pages":[{"title":"List Unsubscribes","openapi":"GET /unsubscribes","sidebarTitle":"List Unsubscribes","href":"/api-reference/unsubscribes/list"},{"title":"Create an Unsubscribe","openapi":"POST /unsubscribes","sidebarTitle":"Create an Unsubscribe","href":"/api-reference/unsubscribes/create"},{"title":"Delete an Unsubscribe","openapi":"DELETE /unsubscribes/{email}","sidebarTitle":"Delete an Unsubscribe","href":"/api-reference/unsubscribes/delete"}]}]},{"group":"Library","pages":[{"group":"Files","pages":[{"title":"List Files","openapi":"GET /files","sidebarTitle":"List Files","href":"/api-reference/files/list"},{"title":"Retrieve a File","openapi":"GET /files/{id}","sidebarTitle":"Retrieve a File","href":"/api-reference/files/get"},{"title":"Upload a File","openapi":"POST /files","sidebarTitle":"Upload a File","href":"/api-reference/files/create"},{"title":"Delete a File","openapi":"DELETE /files/{id}","sidebarTitle":"Delete a File","href":"/api-reference/files/delete"}]},{"group":"Meetings","pages":[{"title":"List Meetings","openapi":"GET /meetings","sidebarTitle":"List Meetings","href":"/api-reference/meetings/list"},{"title":"Retrieve a Meeting","openapi":"GET /meetings/{id}","sidebarTitle":"Retrieve a Meeting","href":"/api-reference/meetings/get"},{"title":"Update a Meeting","openapi":"PATCH /meetings/{id}","sidebarTitle":"Update a Meeting","href":"/api-reference/meetings/update"}]},{"group":"Notes","pages":[{"title":"List Notes","openapi":"GET /notes","sidebarTitle":"List Notes","href":"/api-reference/notes/list"},{"title":"Retrieve a Note","openapi":"GET /notes/{id}","sidebarTitle":"Retrieve a Note","href":"/api-reference/notes/get"},{"title":"Create a Note","openapi":"POST /notes","sidebarTitle":"Create a Note","href":"/api-reference/notes/create"},{"title":"Update a Note","openapi":"PATCH /notes/{id}","sidebarTitle":"Update a Note","href":"/api-reference/notes/update"},{"title":"Delete a Note","openapi":"DELETE /notes/{id}","sidebarTitle":"Delete a Note","href":"/api-reference/notes/delete"}]},{"group":"Calls","pages":[{"title":"List Calls","openapi":"GET /calls","sidebarTitle":"List Calls","href":"/api-reference/calls/list"},{"title":"Retrieve a Call","openapi":"GET /calls/{id}","sidebarTitle":"Retrieve a Call","href":"/api-reference/calls/get"},{"title":"Create a Call","openapi":"POST /calls","sidebarTitle":"Create a Call","href":"/api-reference/calls/create"},{"title":"Create or Update a Call","openapi":"POST /calls/upsert","sidebarTitle":"Upsert a Call","description":"Find and update an existing phone call, or create a new one.","href":"/api-reference/calls/upsert"}]},{"group":"Activities","pages":[{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","href":"/api-reference/activities/list"},{"title":"Retrieve an Activity","openapi":"GET /activities/{id}","sidebarTitle":"Retrieve an Activity","description":"Retrieves the details of an existing activity.","href":"/api-reference/activities/get"}]},{"group":"Tagsets","pages":[{"title":"List Tagsets","openapi":"GET /tagsets","sidebarTitle":"List Tagsets","href":"/api-reference/tagsets/list"},{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","href":"/api-reference/tagsets/get"},{"title":"Create a Tagset","openapi":"POST /tagsets","sidebarTitle":"Create a Tagset","href":"/api-reference/tagsets/create"},{"title":"Update a Tagset","openapi":"PATCH /tagsets/{id}","sidebarTitle":"Update a Tagset","href":"/api-reference/tagsets/update"},{"title":"Delete a Tagset","openapi":"DELETE /tagsets/{id}","sidebarTitle":"Delete a Tagset","href":"/api-reference/tagsets/delete"}]}]},{"group":"Webhooks","pages":[{"group":"Endpoints","pages":[{"title":"List Endpoints","openapi":"GET /webhook_endpoints","sidebarTitle":"List Endpoints","href":"/api-reference/webhook-endpoints/list"},{"title":"Retrieve an Endpoint","openapi":"GET /webhook_endpoints/{id}","sidebarTitle":"Retrieve an Endpoint","href":"/api-reference/webhook-endpoints/get"},{"title":"Create an Endpoint","openapi":"POST /webhook_endpoints","sidebarTitle":"Create an Endpoint","href":"/api-reference/webhook-endpoints/create"},{"title":"Update an Endpoint","openapi":"PATCH /webhook_endpoints/{id}","sidebarTitle":"Update an Endpoint","href":"/api-reference/webhook-endpoints/update"},{"title":"Delete an Endpoint","openapi":"DELETE /webhook_endpoints/{id}","sidebarTitle":"Delete an Endpoint","href":"/api-reference/webhook-endpoints/delete"}]},{"group":"Events","pages":[{"title":"Call Occurred","openapi":"webhook activity/call_occurred","sidebarTitle":"Call Occurred","href":"/webhook-reference/activities/call-occurred"},{"title":"File Created","openapi":"webhook activity/file_created","sidebarTitle":"File Created","href":"/webhook-reference/activities/file-created"},{"title":"Form Submitted","openapi":"webhook activity/form_submitted","sidebarTitle":"Form Submitted","href":"/webhook-reference/activities/form-submitted"},{"title":"Inbox Message Sent","openapi":"webhook activity/inbox_message_sent","sidebarTitle":"Inbox Message Sent","href":"/webhook-reference/activities/inbox-message-sent"},{"title":"Item Created","openapi":"webhook activity/item_created","sidebarTitle":"Item Created","href":"/webhook-reference/activities/item-created"},{"title":"Item Mentioned","openapi":"webhook activity/item_mentioned","sidebarTitle":"Item Mentioned","href":"/webhook-reference/activities/item-mentioned"},{"title":"Item Merged","openapi":"webhook activity/item_merged","sidebarTitle":"Item Merged","href":"/webhook-reference/activities/item-merged"},{"title":"Meeting Held","openapi":"webhook activity/meeting_held","sidebarTitle":"Meeting Held","href":"/webhook-reference/activities/meeting-held"},{"title":"Meeting Scheduled","openapi":"webhook activity/meeting_scheduled","sidebarTitle":"Meeting Scheduled","href":"/webhook-reference/activities/meeting-scheduled"},{"title":"Note Created","openapi":"webhook activity/note_created","sidebarTitle":"Note Created","href":"/webhook-reference/activities/note-created"},{"title":"Program Message Bounced","openapi":"webhook activity/program_message_bounced","sidebarTitle":"Program Message Bounced","href":"/webhook-reference/activities/program-message-bounced"},{"title":"Program Message Clicked","openapi":"webhook activity/program_message_clicked","sidebarTitle":"Program Message Clicked","href":"/webhook-reference/activities/program-message-clicked"},{"title":"Program Message Complained","openapi":"webhook activity/program_message_complained","sidebarTitle":"Program Message Complained","href":"/webhook-reference/activities/program-message-complained"},{"title":"Program Message Failed","openapi":"webhook activity/program_message_failed","sidebarTitle":"Program Message Failed","href":"/webhook-reference/activities/program-message-failed"},{"title":"Program Message Opened","openapi":"webhook activity/program_message_opened","sidebarTitle":"Program Message Opened","href":"/webhook-reference/activities/program-message-opened"},{"title":"Program Message Sent","openapi":"webhook activity/program_message_sent","sidebarTitle":"Program Message Sent","href":"/webhook-reference/activities/program-message-sent"},{"title":"Program Message Shielded","openapi":"webhook activity/program_message_shielded","sidebarTitle":"Program Message Shielded","href":"/webhook-reference/activities/program-message-shielded"},{"title":"Program Message Unsubscribed","openapi":"webhook activity/program_message_unsubscribed","sidebarTitle":"Program Message Unsubscribed","href":"/webhook-reference/activities/program-message-unsubscribed"}]}]}]}]}]},"basePath":"","title":"List Activities - Moonbase","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}